//
//  TSRingDownVC.swift
//  AIRingtone
//
//  Created by 100Years on 2025/3/17.
//

class TSRingDownVC: TSBaseVC {
    
    
    lazy var nullView:TSRingDownNullView = TSRingDownNullView { [weak self]  in
        guard let self = self else { return }
         
        let ringCategoryModel = TSRingCategoryModel()
        ringCategoryModel.title = "Popular"
        ringCategoryModel.cover = "http://d3a93z8fj970a4.cloudfront.net/fbae944d-9e49-46ee-a51f-78f75a1952e8"
        ringCategoryModel.categoryId = "Popular"
        kPushVC(target: self, modelVC: TSDiscoverListVC(ringCategoryModel: ringCategoryModel))
    }
    
    override func createView() {
 
        addNormalNavBarView()
        setPageTitle("Downloaded".localized)
        _ = setNavigationItem("", imageName: "tutorials", direction: .right, action: #selector(clickRight))

        contentView.addSubview(nullView)
        
    }
    
    @objc func clickRight(){
        kPushVC(target: self, modelVC: TSThemeTutorialsVC())
    }
}


